%define module_version 0.02
%define module_name SDLx-XScreenSaver
# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel perl(Config.pm) perl(Devel/CheckLib.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(SDL/Events.pm) perl(SDL/Mouse.pm) perl(SDLx/App.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt6
Summary: prepare environment for writing SDL based XScreenSaver hacks
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LI/LIGHTSEY/%{module_name}-%{module_version}.tar.gz

%description
This module provides a framework to write SDL XScreenSaver hacks in Perl.
It provides the same basic interface as OpenGL::XScreenSaver.


%prep
%setup -n %{module_name}-%{module_version}
rm -rf inc

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.02-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.02-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.02-alt4.2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt3.2
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2.2
- rebuild with perl 5.26

* Mon Feb 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1.2
- rebuild with perl 5.24

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1.1
- rebuild with perl 5.22

* Thu Feb 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt2
- rebuild to get rid of unmets

* Mon Apr 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

